FROM osrf/ros:rolling-desktop-full

## Display export options, could be useful for Win 10
# ENV  DISPLAY=host.docker.internal:0.0 LIBGL_ALWAYS_INDIRECT=0

#Apt updates
RUN apt update -y && apt upgrade -y

#Configure environment for Graphics cards.
#ENV LD_LIBRARY_PATH=/usr/lib/wsl/lib
#CMD /usr/bin/glxinfo -B

##Install Gazebo Ignition
RUN apt-get install -y lsb-release wget gnupg 
RUN wget https://packages.osrfoundation.org/gazebo.gpg -O /usr/share/keyrings/pkgs-osrf-archive-keyring.gpg && \
echo "deb [arch=$(dpkg --print-architecture) signed-by=/usr/share/keyrings/pkgs-osrf-archive-keyring.gpg] http://packages.osrfoundation.org/gazebo/ubuntu-stable $(lsb_release -cs) main" | sudo tee /etc/apt/sources.list.d/gazebo-stable.list > /dev/null && \
apt-get update 

RUN sudo apt-get install -y ignition-fortress
#RUN apt install -y ros-humble-ros-gz
RUN apt install -y ros-rolling-ros-ign-gazebo

#Configure environment for Graphics cards.
#ENV LD_LIBRARY_PATH=/usr/lib/wsl/lib
#CMD /usr/bin/glxinfo -B

#Install x11 utilities
RUN apt install -y x11-apps

#Install generic utilities
RUN apt install -y htop && apt install -y nano && apt install -y gedit

#Install graphics drivers utilities
RUN apt install -y mesa-utils

##Install SCARA Application dependencies
RUN sudo apt install ros-rolling-xacro -y; sudo apt install ros-rolling-joint-state-publisher-gui -y; \
sudo apt install ros-rolling-ros2-control -y;sudo apt install ros-rolling-ros2-controllers -y;

##Configure ROS environment
RUN echo "\n\n####### ROS2 Environment ####### \nsource /colcon_ws/install/setup.bash" >> ~/.bashrc

CMD [ "/bin/bash" ]